Bug 614495 - API does not show user enabled/disabled status
Summary: API does not show user enabled/disabled status
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API   
(Show other bugs)
Version: RHN Stable
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn-sprint49
TreeView+ depends on / blocked
 
Reported: 2010-07-14 15:27 UTC by Guil Barros
Modified: 2010-08-02 20:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:53:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test script showing existence of 'disabled' flag in user.getDetails(token) (837 bytes, application/octet-stream)
2010-07-15 14:46 UTC, Grant Gainey
no flags Details

Description Guil Barros 2010-07-14 15:27:23 UTC
The current RHN API does not allow us to query if a user is enabled or disabled. This feature is currently available in the Satellite API.

Comment 1 Grant Gainey 2010-07-15 14:45:28 UTC
Modifying user.getDetails(token) to return this info:

=====
 Method: getDetails
Description:
Returns the details about a given user.

Parameters:

    * string sessionKey
    * string login - user sought

Returns:

    * struct (user details)
          o string "first_names"
          o string "last_name"
          o string "email"
          o string "prefix"
          o string "last_login_date"
          o string "created_date"
          o string "disabled" - 'true'/'false', is this user disabled?
=====

commit 886e182c6f72775eeab0fb115e77dba4dc067eb6

Comment 2 Grant Gainey 2010-07-15 14:46:09 UTC
Created attachment 432104 [details]
Test script showing existence of 'disabled' flag in user.getDetails(token)


Note You need to log in before you can comment on or make changes to this bug.